Package org.kie.internal.runtime.conf

## Class ForceEagerActivationOption

- java.lang.Object
- - org.kie.internal.runtime.conf.ForceEagerActivationOption

- All Implemented Interfaces:
    `java.io.Serializable`, `org.kie.api.conf.Option`, `org.kie.api.conf.SingleValueOption`, `org.kie.api.runtime.conf.KieSessionOption`, `org.kie.api.runtime.conf.SingleValueKieSessionOption`, `org.kie.api.runtime.conf.SingleValueRuleRuntimeOption`
  Direct Known Subclasses:
    `ForceEagerActivationOption.FILTERED`

      public class ForceEagerActivationOption
      extends java.lang.Object
      implements org.kie.api.runtime.conf.SingleValueRuleRuntimeOption

  Option to force evaluation and then activation of rules annotated with @Eager.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ForceEagerActivationOption.FILTERED` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.kie.api.conf.OptionKey<ForceEagerActivationOption>` | `KEY` |
    `static ForceEagerActivationOption` | `NO` |
    `static java.lang.String` | `PROPERTY_NAME` |
    `static ForceEagerActivationOption` | `YES` |

    - ### Fields inherited from interface org.kie.api.runtime.conf.SingleValueRuleRuntimeOption

      `TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ForceEagerActivationFilter` | `getFilter()` |
    `java.lang.String` | `getPropertyName()` |
    `static ForceEagerActivationOption` | `resolve​(java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.conf.Option

      `propertyName`

    - ### Methods inherited from interface org.kie.api.runtime.conf.SingleValueRuleRuntimeOption

      `type`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### KEY

          public static org.kie.api.conf.OptionKey<ForceEagerActivationOption> KEY

    - #### YES

          public static final ForceEagerActivationOption YES

    - #### NO

          public static final ForceEagerActivationOption NO

  - ### Method Detail

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### getFilter

          public ForceEagerActivationFilter getFilter()

    - #### resolve

          public static ForceEagerActivationOption resolve​(java.lang.String value)